%define mod_name mail_agent
%define mod_full_name %{mod_name}-%{version}

Name:           rubygem-mail_agent
Version:        1.2.1
Release:        lp156.1.1
Summary:        Mail Database Agent
License:        Apache-2.0
Group:          Development/Languages/Ruby
URL:            https://intercom.it
Source:         %{mod_full_name}.gem
Source1:        mail_agent.service
Source2:        mail_agent.tempfiles
Source3:        mail_agent.yml
Source4:        tomte.yml
BuildRequires:  %{ruby >= 1.9}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5

%description
Mail agent DB provisioning agent

%package -n mail_agent
Summary:  Mail Database Agent
Group:    System/Daemons
Requires: rubygem(%{mod_name}) = %{version}

%description -n mail_agent
Mail agent DB provisioning agent

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  -f

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/tomte
install -d %{buildroot}%{_localstatedir}/lib/tomte

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/mail_agent.service
install -D -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/mail_agent.conf
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcmail_agent
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/tomte/mail_agent.yml
install -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/tomte/tomte.yml

%gem_packages


%files -n mail_agent
%dir %{_sysconfdir}/tomte
%attr(0700, tomte, tomte) %dir %{_localstatedir}/lib/tomte

%config(noreplace) %{_sysconfdir}/tomte/mail_agent.yml
%config(noreplace) %{_sysconfdir}/tomte/tomte.yml

%{_unitdir}/mail_agent.service
%{_tmpfilesdir}/mail_agent.conf

%{_sbindir}/rcmail_agent
%ghost /run/mail_agent

%pre -n mail_agent
%{_bindir}/getent group  tomte >/dev/null || %{_sbindir}/groupadd -r tomte
%{_bindir}/getent passwd tomte >/dev/null || %{_sbindir}/useradd -r -d %{_localstatedir}/lib/tomte -s /bin/false -c "intercom mail policyd" -g tomte tomte
%service_add_pre mail_agent.service
exit 0

%preun -n mail_agent
%service_del_preun mail_agent.service
exit 0

%post -n mail_agent
%tmpfiles_create %_tmpfilesdir/mailserver_agent.conf
%service_add_post mail_agent.service
exit 0

%postun -n mail_agent
%service_del_postun mail_agent.service
exit 0

%changelog
* Fri Jul 19 2024 Angelo Grossini <angelo@intercom.it>
- remove limits from forwards
* Thu Feb  1 2024 <rottame@intercom.it>
- new activation model
* Thu Feb  1 2024 <rottame@intercom.it>
- fix
* Thu Feb  1 2024 <rottame@intercom.it>
- passwords with scheme
* Thu Feb  1 2024 <rottame@intercom.it>
- too many commas...
* Thu Feb  1 2024 <rottame@intercom.it>
- encrypted passwords
